PETSc version 3.17.4
Fix/Edit manual page

# PetscAttachDebugger

Attaches the debugger to the running process.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscAttachDebugger(void)

Not Collective

### Options Database Keys

| -start_in_debugger [noxterm,dbx,xxgdb,xdb,xldb,gdb] [ | - display name] [-debugger_ranks m,n] -debug_terminal xterm or Terminal (for Apple)

| -on_error_attach_debugger [noxterm,dbx,xxgdb,xdb,xldb,gdb] [ | - display name] - Activates debugger attachment

### Developer Notes

Since this can be called by the error handler should it be calling SETERRQ() and PetscCall()?

### See Also

PetscSetDebugger(), PetscSetDefaultDebugger(), PetscSetDebugTerminal(), PetscAttachDebuggerErrorHandler(), PetscStopForDebugger()

### Level

advanced

### Location

src/sys/error/adebug.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages